#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# file      : createbasepy.py
# project   : createbasepy
# copyright : (C) 2014 by Claude BULIN
#
# Generating Python code from one or more GLADE files and not UI file
#
# This file is part of createbasepy project
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; version 3.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

import sys, os, time
try:
	from gi.repository import Gtk, GObject
except:
	print("GTK Not Availible")
	sys.exit(1)

from fconfig import FConfig
from wind_main import wind_main
from datetime import date

if __name__ == '__main__':

	print(">",date.today().strftime('%d %b %Y'))

	print( "")
	print( "!"+"-"*40)
	print( "! %s - %s" % (FConfig.__PACKAGE__,  FConfig.__VERSION__))
	print( "!"+"-"*3)
	print( "! Generating a skeleton python from one or more files *. Glade" )
	print( "!"+"-"*3)
	print( "! %s" % FConfig.__AUTHOR__)
	print( "! %s" % FConfig.__URL__ )
	print( "! Licence GPL-3" )
	print( "!"+"-"*40)
	FConfig.print_FConfig()
	tst = wind_main()
	Gtk.main()

